org.gradle.nativeplatform

## Interface NativeLibraryBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, LibraryBinarySpec, Named, NativeBinarySpec
  All Known Subinterfaces:
    SharedLibraryBinarySpec, StaticLibraryBinarySpec

      public interface NativeLibraryBinarySpec
      extends NativeBinarySpec, LibraryBinarySpec

  Represents a binary artifact that is the result of building a native library component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeLibrarySpec` | `getComponent()` The component that this binary was built from.
    `NativeLibrarySpec` | `getLibrary()` The library that this binary belongs to.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getBuildType, getFlavor, getLibs, getLinker, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getLibrary

          NativeLibrarySpec getLibrary()

      The library that this binary belongs to.
      Specified by:
        `getLibrary` in interface `LibraryBinarySpec`

    - #### getComponent

          NativeLibrarySpec getComponent()

      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinarySpec`